<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li class="current"><a href="functions.html"><span>All</span></a></li>
      <li><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions.html#index_a"><span>a</span></a></li>
      <li><a href="functions_b.html#index_b"><span>b</span></a></li>
      <li class="current"><a href="functions_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_n.html#index_n"><span>n</span></a></li>
      <li><a href="functions_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_p.html#index_p"><span>p</span></a></li>
      <li><a href="functions_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_~.html#index_~"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all documented class members with links to the class documentation for each member:</div>

<h3><a class="anchor" id="index_c"></a>- c -</h3><ul>
<li>canReactivate()
: <a class="el" href="classTIGLApiVertex.html#a2ca961611ed7a646ea8dc7847c31b20d">TIGLApiVertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a>
</li>
<li>changeColor()
: <a class="el" href="classSSSPVertexSeq.html#a5b1feeb07279c1f12cc1e781fd862ff8">SSSPVertexSeq&lt; DataType, EdgeType, IdType &gt;</a>
</li>
<li>clear()
: <a class="el" href="classTIGLApiVertex.html#a5bc44315862e8648664fb515fb244230">TIGLApiVertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a>
</li>
<li>clearActiveBuffers()
: <a class="el" href="classTIGLComputationManager.html#ada263bbea0c5f663e3325d0cfe649a95">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a>
</li>
<li>clearAllExternalMessageBuf()
: <a class="el" href="classTIGLContainersSubgraph.html#af6159f4c1e4cc007053124ff2b28b6cf">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>clearAllMessages()
: <a class="el" href="classTIGLContainersSubgraph.html#a48119ac542a1f3ccf7ecfd085c681720">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>clearEdges()
: <a class="el" href="classTIGLContainersVertexBase.html#ae54bd25069156c7ff89a9907f2167b24">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a>
</li>
<li>clearExternalMutationMessage()
: <a class="el" href="classTIGLContainersSubgraph.html#a65db3aa7b18e2c75795e3cc47bbc7b40">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>clearInSysMessage()
: <a class="el" href="classTIGLContainersSubgraph.html#af4b3b7ffc07e49ff4c76eac696a8bfa7">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>clearMessages()
: <a class="el" href="classTIGLContainersSubgraph.html#aa922931fc8b948f0795e294e4de29939">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>clearNumMessages()
: <a class="el" href="classTIGLContainersSubgraph.html#a24f3a2301d291098a765a1e28f04ee39">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>clearOutSysMessage()
: <a class="el" href="classTIGLContainersSubgraph.html#aa11a752a65135958df0c8bea44a1c7d4">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>combineMessages()
: <a class="el" href="classPageRankCombiner.html#a8ec69e5445b6072b2689a2eaa34f0c3b">PageRankCombiner</a>
, <a class="el" href="classSSSPCombiner.html#a3547cf3e14a7d57f846662a82964d001">SSSPCombiner</a>
, <a class="el" href="classTIGLApiCombiner.html#a30cf4df9966822688e2afbaef1e0d43d">TIGLApiCombiner&lt; ALG_MESSAGE_TYPE &gt;</a>
, <a class="el" href="classTIGLComputationManager.html#aca32d884b684440682dfcc9544f23da7">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a>
</li>
<li>combiner
: <a class="el" href="classTIGL.html#a5541f512541b62a53b718520ba942625">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
, <a class="el" href="classTIGLComputationManager.html#a56931bcd432a1b5bfdb51e66c0c5aa86">TIGLComputationManager&lt; SUBGRAPH_CLASS, COMBINER_TYPE, INIT_TYPE &gt;</a>
</li>
<li>communicationManager
: <a class="el" href="classTIGL.html#a350034bc25d3ef9fc5427c01eb51b280">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
</li>
<li>computationManager
: <a class="el" href="classTIGL.html#a38c56842f9838f3c58f7fd15fc6c6bf7">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
</li>
<li>compute()
: <a class="el" href="classPageRankVertex.html#a5efbbc3acedbe1f3a98651f231d7830a">PageRankVertex&lt; DataType &gt;</a>
, <a class="el" href="classPageRankVertexSeq.html#a3cd61ac7f2a04af4e76b6f6c82c05d30">PageRankVertexSeq&lt; DataType, IdType &gt;</a>
, <a class="el" href="classSSSPVertex.html#abed672f9db74e4848cf94e668538b699">SSSPVertex&lt; DataType, EdgeType &gt;</a>
, <a class="el" href="classSSSPVertexSeq.html#a1eb3a9694ed8f30aed6a7aa852da5d31">SSSPVertexSeq&lt; DataType, EdgeType, IdType &gt;</a>
, <a class="el" href="classTIGLApiVertex.html#a509bac1afaa2f2141616ae8fc06c0ddd">TIGLApiVertex&lt; DataType, AlgDataType, EdgeType, InitType, IdType, MessageType &gt;</a>
, <a class="el" href="classTIGLContainersComputeEdge.html#a6f9f7ddcc1381215d5b2716cdfaef004">TIGLContainersComputeEdge&lt; idType, dataType, algDataType &gt;</a>
, <a class="el" href="classTIGLContainersVertexBase.html#ace8a3901abb1f925cd442ff24200b45f">TIGLContainersVertexBase&lt; DataType, AlgDataType, EdgeType, IdType &gt;</a>
</li>
<li>computeMSE()
: <a class="el" href="classTIGL.html#a2a30c008f455e3588ed4a51669ecca8b">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
</li>
<li>computeNormalizedSNR()
: <a class="el" href="classTIGL.html#ae83a1a4574743face7975d5df0a98f2d">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
</li>
<li>computeSNR()
: <a class="el" href="classTIGL.html#a302196e561a1518561bc2a6a2931a07c">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
</li>
<li>computeTask()
: <a class="el" href="classTIGL.html#a3b1b79f24fc14b6acbdeb1aaff64d36b">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
</li>
<li>consumeExternalDataMessageBuf()
: <a class="el" href="classTIGLContainersSubgraph.html#aa38b74b449accff5fe3862c53e630182">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>consumeSysMessages()
: <a class="el" href="classTIGLContainersSubgraph.html#a6c50ae938213d898d0d7609b291fd35b">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>
</li>
<li>content
: <a class="el" href="classTIGLApiMessage.html#ae7f775baa649862450e48448fabf97ae">TIGLApiMessage&lt; DATA_TYPE, ID_TYPE &gt;</a>
</li>
<li>continuousRecvMessages()
: <a class="el" href="classTIGLCommunicationManager.html#a37761454cc4b64f11802bc6d55a12162">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>continuousSendMessages()
: <a class="el" href="classTIGLCommunicationManager.html#a9076e5b7c635703b9207c107cfead352">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>countMessages()
: <a class="el" href="classTIGLCommunicationManager.html#a7039a28d4b3a941939eb4d8f49a8c646">TIGLCommunicationManager&lt; SUBGRAPH_TYPE &gt;</a>
</li>
<li>countSS
: <a class="el" href="classTIGL.html#aef38bee1457371fb710a3146bff6fc6f">TIGL&lt; ALG_VERTEX_TYPE, ALG_COMBINER &gt;</a>
, <a class="el" href="classTIGLContainersAggregate.html#a5561ee95dd89b5f948275baf2069f383">TIGLContainersAggregate&lt; AlgData &gt;</a>
</li>
<li>createVerticesList()
: <a class="el" href="classTIGLContainersSubgraphBase.html#a19e7dea824e424684b5f4d7b75aa96df">TIGLContainersSubgraphBase&lt; CVertex &gt;</a>
</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:14:00 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
